PHP Manual
Prev |  | Next

# HttpResponse::setHeader

(no version information, might be only in CVS)

HttpResponse::setHeader -- Set header

## Description

staticbool HttpResponse::setHeader ( string name [, mixed value [, bool replace = TRUE]] )

Send an HTTP header.

## Parameters

name

  the name of the header

value

  the value of the header; if not set, no header with this name will be sent

replace

  whether an existing header should be replaced

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Errors/Exceptions

Throws HttpHeaderException.

Prev | Home | Next
HttpResponse::setGzip | Up | HttpResponse::setLastModified